Page MenuHomeFreeBSD

devel/boost-*: update to 1.69.0
ClosedPublic

Authored by jbeich on Oct 22 2018, 11:22 AM.

Details

Reviewers
None
Group Reviewers
office
Commits
rP487266: devel/boost-*: update to 1.69.0
Summary
Test Plan
  • poudriere bulk -t devel/boost-all is green on 10.4 i386/amd64, 11.2 i386/amd64/armv6/aarch64, 12.0 i386/amd64/armv7/aarch64
  • consumers will be tested via bug 232525

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Oct 22 2018, 11:22 AM
jbeich edited the test plan for this revision. (Show Details)Oct 22 2018, 11:30 AM
jbeich updated this revision to Diff 49480.Oct 23 2018, 2:30 AM
  • New snapshot
  • Fix heap#12
  • Unbreak plist in -docs
jbeich updated this revision to Diff 49639.Oct 26 2018, 1:12 AM

New snapshot

jbeich updated this revision to Diff 49641.Oct 26 2018, 1:54 AM

Mirror distfile LOCAL'ly as it's unstable: not always available, changes every day. I'd like to start filing bugs soon, asking for help with consumers.

jbeich updated this revision to Diff 49724.Oct 28 2018, 11:50 AM

New snapshot

jbeich updated this revision to Diff 49935.Nov 2 2018, 2:15 PM
  • New snapshot
  • Unbreak graphics/colmap (regex workaround)
jbeich updated this revision to Diff 49995.Nov 4 2018, 9:20 AM
  • New snapshot
  • science/rdkit no longer fails
jbeich updated this revision to Diff 50126.Nov 7 2018, 4:40 PM
jbeich updated this revision to Diff 50205.Nov 9 2018, 12:52 PM
  • New snapshot
jbeich updated this revision to Diff 50282.Nov 11 2018, 10:38 AM
jbeich edited the summary of this revision. (Show Details)
  • New snapshot
  • Switch to master branch where Beta/Release originate
  • Simplify regex workaround
jbeich updated this revision to Diff 50363.Nov 13 2018, 1:20 PM
  • Add program_options upstream fix
  • Add locale upstream
jbeich updated this revision to Diff 50433.Nov 14 2018, 11:06 PM
  • New snapshot
jbeich updated this revision to Diff 50506.Nov 16 2018, 11:25 PM
  • New snapshot
jbeich updated this revision to Diff 51521.Dec 3 2018, 9:13 AM
  • New snapshot
jbeich updated this revision to Diff 51698.Dec 7 2018, 1:26 AM
  • New snapshot (same as RC1)
This revision was not accepted when it landed; it landed in state Needs Review.Dec 13 2018, 6:31 AM
Closed by commit rP487266: devel/boost-*: update to 1.69.0 (authored by jbeich, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.